package de.ronnyfriedland

import java.util.Date;

abstract class BaseEntry {
	
	Date creationDate
	Date lastModifiedDate
	
	static mapping = {
		tablePerHierarchy false
	}

	static constraints = {
		creationDate(nullable:false)
		lastModifiedDate(nullable:true)
	}

	public BaseEntry() {
		creationDate = new Date()
	}
	
	def beforeUpdate = {
		lastModifiedDate = new Date()
	}
}
