<%@ page import="de.ronnyfriedland.scheduler.enums.PlannedDay" %>

<script type="text/javascript">

function showPopup() {
    document.getElementById("entriespopup").style.display = "block";
    return true;
}

</script>

<div id="scheduler">
    <!-- Tagesübersicht -->
    <g:each in="${PlannedDay.values()}" status="i" var="d">
        <div class="day ${(i % 2) == 0 ? 'oddDay' : 'evenDay'}">
            <div id="day_header">
                <g:message code="scheduler.day.${d}"/>
                <g:remoteLink controller="scheduler" action="entries" update="entriespopup" params="['day':d]" onSuccess="showPopup();">
                    <img src="${resource(dir:'images/icons/',file:'add.png')}" class="spacer_img" border="0"/>
                </g:remoteLink>
            </div>
            <div id="day_content">
                <g:each in="${plannedEntries.get(d)}" var="pes">
                    <g:each in="${pes}" var="pe">
                        <g:remoteLink controller="scheduler" action="entries" update="entriespopup" params="['day':d]">
                            <div class="entry">
                                ${pe.entry.title}<br/><br/>
                                ${pe.entry.description}<br/><br/>
                                ${pe.entry.time}<br/>
                                <g:link action="removePlannedEntry" id="${pe.id}"><img src="${resource(dir:'images/icons/',file:'remove.png')}" border="0"/></g:link>
                            </div>
                        </g:remoteLink>
                    </g:each>
                </g:each>
            </div>
        </div>
    </g:each>

    <!-- Popup -->
    <div id="entriespopup" style="display:none;"/>

    <!-- Fehler-->
    <g:if test="${flash.error}">
        <div class="error">${flash.error}</div>
    </g:if>    
</div>
